use codec::Decode;
use serde::{Serialize, Deserialize};

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct EraInfo {
    pub index: u32,
    pub start: Option<u64>,
}

#[derive(Debug, Default, Clone, PartialEq, Eq, Serialize, Deserialize, Decode)]
pub struct EraRewardPoints {
    pub address: String,
    pub account_id: [u8; 32],
    pub points: u32,
    pub disabled: bool,
}
